# data_buf.c File Reference

## Detailed Description

Contains functions to allocate and maintain the tsk_data_buf structures.

`#include <stdlib.h>`
`#include "aux_tools.h"`

## Functions

TSK_DATA_BUF * | tsk_data_buf_alloc (size_t size)
| Allocate and initialize a tsk_data_buf structure.
void | tsk_data_buf_free (TSK_DATA_BUF *buf)
| Free the tsk_data_buf and its buffers.

## Function Documentation

TSK_DATA_BUF* tsk_data_buf_alloc | ( | size_t | size | ) |

Allocate and initialize a tsk_data_buf structure.

Parameters:

  | size | Size in bytes to allocated for the buffer

Returns:
  NULL on error

void tsk_data_buf_free | ( | TSK_DATA_BUF * | buf | ) |

Free the tsk_data_buf and its buffers.

Parameters:

  | buf | The structure to free.